import { ShardedMerkleTreeInfo, ShardedSnapshot, SnapshotEntry, SnapshotEntryWithProof } from "../schema";
import { SnapshotInput } from "../types";
import { Weiweb3Storage } from "@weiweb3/storage";
export declare class ShardedMerkleTree {
    private shardNybbles;
    private shards;
    private trees;
    private storage;
    private baseUri;
    private originalEntriesUri;
    private tokenDecimals;
    constructor(storage: Weiweb3Storage, baseUri: string, originalEntriesUri: string, shardNybbles: number, tokenDecimals: number);
    static fromUri(uri: string, storage: Weiweb3Storage): Promise<ShardedMerkleTree | undefined>;
    static fromShardedMerkleTreeInfo(info: ShardedMerkleTreeInfo, storage: Weiweb3Storage): Promise<ShardedMerkleTree>;
    static hashEntry(entry: SnapshotEntry, tokenDecimals: number): string;
    static buildAndUpload(snapshotInput: SnapshotInput, tokenDecimals: number, storage: Weiweb3Storage, shardNybbles?: number): Promise<ShardedSnapshot>;
    getProof(address: string): Promise<SnapshotEntryWithProof | null>;
    getAllEntries(): Promise<SnapshotEntry[]>;
    private computeAllShardIds;
}
//# sourceMappingURL=sharded-merkle-tree.d.ts.map