import { SnapshotInfo, SnapshotInput } from "../types/claim-conditions/claim-conditions";
import { Weiweb3Storage } from "@weiweb3/storage";
import { BigNumberish } from "ethers";
/**
 * Create a snapshot (merkle tree) from a list of addresses and uploads it to IPFS
 * @param snapshotInput - the list of addresses to hash
 * @param tokenDecimals - the token decimals
 * @param storage - the storage to upload to
 * @returns the generated snapshot and URI
 * @internal
 */
export declare function createSnapshot(snapshotInput: SnapshotInput, tokenDecimals: number, storage: Weiweb3Storage): Promise<SnapshotInfo>;
/**
 * Hash an address and the corresponding claimable amount
 * @internal
 * @param address - the address
 * @param maxClaimableAmount - the amount
 */
export declare function hashLeafNode(address: string, maxClaimableAmount: BigNumberish): string;
//# sourceMappingURL=snapshots.d.ts.map