import { AbiEvent, AbiFunction, PublishedMetadata } from "../../schema/contracts/custom";
import { ContractWrapper } from "./contract-wrapper";
import { Weiweb3Storage } from "@weiweb3/storage";
import { BaseContract } from "ethers";
/**
 * Handles publish metadata for a contract
 * @internal
 */
export declare class ContractPublishedMetadata<TContract extends BaseContract> {
    private contractWrapper;
    private storage;
    private _cachedMetadata;
    constructor(contractWrapper: ContractWrapper<TContract>, storage: Weiweb3Storage);
    /**
     * Get the published metadata for this contract
     * @public
     */
    get(): Promise<PublishedMetadata>;
    /**
     * @public
     */
    extractFunctions(): Promise<AbiFunction[]>;
    /**
     * @public
     */
    extractEvents(): Promise<AbiEvent[]>;
}
//# sourceMappingURL=contract-published-metadata.d.ts.map