import { SDKOptions } from "../../schema/sdk-options";
import { DeploySchemaForPrebuiltContractType, NetworkOrSignerOrProvider, PrebuiltContractType } from "../types";
import { ContractWrapper } from "./contract-wrapper";
import type { TWFactory } from "@weiweb3/contracts-js";
import { Weiweb3Storage } from "@weiweb3/storage";
import { ContractInterface } from "ethers";
import { z } from "zod";
/**
 * @internal
 */
export declare class ContractFactory extends ContractWrapper<TWFactory> {
    private storage;
    constructor(factoryAddr: string, network: NetworkOrSignerOrProvider, storage: Weiweb3Storage, options?: SDKOptions);
    deploy<TContractType extends PrebuiltContractType>(contractType: TContractType, contractMetadata: z.input<DeploySchemaForPrebuiltContractType<TContractType>>): Promise<string>;
    deployProxyByImplementation(implementationAddress: string, implementationAbi: ContractInterface, initializerFunction: string, initializerArgs: any[]): Promise<string>;
    private getDeployArguments;
    private getDefaultTrustedForwarders;
}
//# sourceMappingURL=factory.d.ts.map