import { BigNumber } from "ethers";
import { z } from "zod";
/**
 * @internal
 */
export declare const ClaimConditionInputSchema: z.ZodObject<{
    startTime: z.ZodDefault<z.ZodEffects<z.ZodDate, BigNumber, Date>>;
    currencyAddress: z.ZodDefault<z.ZodString>;
    price: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>>;
    maxQuantity: z.ZodDefault<z.ZodUnion<[z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>, z.ZodLiteral<"unlimited">]>>;
    quantityLimitPerTransaction: z.ZodDefault<z.ZodUnion<[z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>, z.ZodLiteral<"unlimited">]>>;
    waitInSeconds: z.ZodDefault<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBigInt, z.ZodType<BigNumber, z.ZodTypeDef, BigNumber>]>, BigNumber, string | number | bigint | BigNumber>, string, string | number | bigint | BigNumber>>;
    merkleRootHash: z.ZodDefault<z.ZodUnion<[z.ZodArray<z.ZodNumber, "many">, z.ZodString]>>;
    snapshot: z.ZodNullable<z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodArray<z.ZodString, "many">, {
        address: string;
        maxClaimable: string;
    }[], string[]>, z.ZodArray<z.ZodObject<{
        address: z.ZodEffects<z.ZodString, string, string>;
        maxClaimable: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>>;
    }, "strip", z.ZodTypeAny, {
        address: string;
        maxClaimable: string;
    }, {
        maxClaimable?: string | number | undefined;
        address: string;
    }>, "many">]>>>;
}, "strip", z.ZodTypeAny, {
    snapshot?: {
        address: string;
        maxClaimable: string;
    }[] | null | undefined;
    quantityLimitPerTransaction: string;
    startTime: BigNumber;
    price: string;
    currencyAddress: string;
    maxQuantity: string;
    waitInSeconds: string;
    merkleRootHash: string | number[];
}, {
    quantityLimitPerTransaction?: string | number | undefined;
    startTime?: Date | undefined;
    price?: string | number | undefined;
    currencyAddress?: string | undefined;
    maxQuantity?: string | number | undefined;
    waitInSeconds?: string | number | bigint | BigNumber | undefined;
    merkleRootHash?: string | number[] | undefined;
    snapshot?: string[] | {
        maxClaimable?: string | number | undefined;
        address: string;
    }[] | null | undefined;
}>;
/**
 * @internal
 */
export declare const ClaimConditionInputArray: z.ZodArray<z.ZodObject<{
    startTime: z.ZodDefault<z.ZodEffects<z.ZodDate, BigNumber, Date>>;
    currencyAddress: z.ZodDefault<z.ZodString>;
    price: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>>;
    maxQuantity: z.ZodDefault<z.ZodUnion<[z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>, z.ZodLiteral<"unlimited">]>>;
    quantityLimitPerTransaction: z.ZodDefault<z.ZodUnion<[z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>, z.ZodLiteral<"unlimited">]>>;
    waitInSeconds: z.ZodDefault<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBigInt, z.ZodType<BigNumber, z.ZodTypeDef, BigNumber>]>, BigNumber, string | number | bigint | BigNumber>, string, string | number | bigint | BigNumber>>;
    merkleRootHash: z.ZodDefault<z.ZodUnion<[z.ZodArray<z.ZodNumber, "many">, z.ZodString]>>;
    snapshot: z.ZodNullable<z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodArray<z.ZodString, "many">, {
        address: string;
        maxClaimable: string;
    }[], string[]>, z.ZodArray<z.ZodObject<{
        address: z.ZodEffects<z.ZodString, string, string>;
        maxClaimable: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>>;
    }, "strip", z.ZodTypeAny, {
        address: string;
        maxClaimable: string;
    }, {
        maxClaimable?: string | number | undefined;
        address: string;
    }>, "many">]>>>;
}, "strip", z.ZodTypeAny, {
    snapshot?: {
        address: string;
        maxClaimable: string;
    }[] | null | undefined;
    quantityLimitPerTransaction: string;
    startTime: BigNumber;
    price: string;
    currencyAddress: string;
    maxQuantity: string;
    waitInSeconds: string;
    merkleRootHash: string | number[];
}, {
    quantityLimitPerTransaction?: string | number | undefined;
    startTime?: Date | undefined;
    price?: string | number | undefined;
    currencyAddress?: string | undefined;
    maxQuantity?: string | number | undefined;
    waitInSeconds?: string | number | bigint | BigNumber | undefined;
    merkleRootHash?: string | number[] | undefined;
    snapshot?: string[] | {
        maxClaimable?: string | number | undefined;
        address: string;
    }[] | null | undefined;
}>, "many">;
/**
 * @internal
 */
export declare const PartialClaimConditionInputSchema: z.ZodObject<{
    startTime: z.ZodOptional<z.ZodDefault<z.ZodEffects<z.ZodDate, BigNumber, Date>>>;
    currencyAddress: z.ZodOptional<z.ZodDefault<z.ZodString>>;
    price: z.ZodOptional<z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>>>;
    maxQuantity: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>, z.ZodLiteral<"unlimited">]>>>;
    quantityLimitPerTransaction: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>, z.ZodLiteral<"unlimited">]>>>;
    waitInSeconds: z.ZodOptional<z.ZodDefault<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBigInt, z.ZodType<BigNumber, z.ZodTypeDef, BigNumber>]>, BigNumber, string | number | bigint | BigNumber>, string, string | number | bigint | BigNumber>>>;
    merkleRootHash: z.ZodOptional<z.ZodDefault<z.ZodUnion<[z.ZodArray<z.ZodNumber, "many">, z.ZodString]>>>;
    snapshot: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodArray<z.ZodString, "many">, {
        address: string;
        maxClaimable: string;
    }[], string[]>, z.ZodArray<z.ZodObject<{
        address: z.ZodEffects<z.ZodString, string, string>;
        maxClaimable: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>>;
    }, "strip", z.ZodTypeAny, {
        address: string;
        maxClaimable: string;
    }, {
        maxClaimable?: string | number | undefined;
        address: string;
    }>, "many">]>>>>;
}, "strip", z.ZodTypeAny, {
    quantityLimitPerTransaction?: string | undefined;
    startTime?: BigNumber | undefined;
    price?: string | undefined;
    currencyAddress?: string | undefined;
    maxQuantity?: string | undefined;
    waitInSeconds?: string | undefined;
    merkleRootHash?: string | number[] | undefined;
    snapshot?: {
        address: string;
        maxClaimable: string;
    }[] | null | undefined;
}, {
    quantityLimitPerTransaction?: string | number | undefined;
    startTime?: Date | undefined;
    price?: string | number | undefined;
    currencyAddress?: string | undefined;
    maxQuantity?: string | number | undefined;
    waitInSeconds?: string | number | bigint | BigNumber | undefined;
    merkleRootHash?: string | number[] | undefined;
    snapshot?: string[] | {
        maxClaimable?: string | number | undefined;
        address: string;
    }[] | null | undefined;
}>;
/**
 * @internal
 */
export declare const ClaimConditionOutputSchema: z.ZodObject<z.extendShape<{
    startTime: z.ZodDefault<z.ZodEffects<z.ZodDate, BigNumber, Date>>;
    currencyAddress: z.ZodDefault<z.ZodString>;
    price: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>>;
    maxQuantity: z.ZodDefault<z.ZodUnion<[z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>, z.ZodLiteral<"unlimited">]>>;
    quantityLimitPerTransaction: z.ZodDefault<z.ZodUnion<[z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>, z.ZodLiteral<"unlimited">]>>;
    waitInSeconds: z.ZodDefault<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBigInt, z.ZodType<BigNumber, z.ZodTypeDef, BigNumber>]>, BigNumber, string | number | bigint | BigNumber>, string, string | number | bigint | BigNumber>>;
    merkleRootHash: z.ZodDefault<z.ZodUnion<[z.ZodArray<z.ZodNumber, "many">, z.ZodString]>>;
    snapshot: z.ZodNullable<z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodArray<z.ZodString, "many">, {
        address: string;
        maxClaimable: string;
    }[], string[]>, z.ZodArray<z.ZodObject<{
        address: z.ZodEffects<z.ZodString, string, string>;
        maxClaimable: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>>;
    }, "strip", z.ZodTypeAny, {
        address: string;
        maxClaimable: string;
    }, {
        maxClaimable?: string | number | undefined;
        address: string;
    }>, "many">]>>>;
}, {
    availableSupply: z.ZodDefault<z.ZodUnion<[z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>, z.ZodLiteral<"unlimited">]>>;
    currentMintSupply: z.ZodDefault<z.ZodUnion<[z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>, z.ZodLiteral<"unlimited">]>>;
    currencyMetadata: z.ZodDefault<z.ZodObject<z.extendShape<{
        name: z.ZodString;
        symbol: z.ZodString;
        decimals: z.ZodNumber;
    }, {
        value: z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBigInt, z.ZodType<BigNumber, z.ZodTypeDef, BigNumber>]>, BigNumber, string | number | bigint | BigNumber>;
        displayValue: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        symbol: string;
        value: BigNumber;
        name: string;
        decimals: number;
        displayValue: string;
    }, {
        symbol: string;
        value: string | number | bigint | BigNumber;
        name: string;
        decimals: number;
        displayValue: string;
    }>>;
    price: z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBigInt, z.ZodType<BigNumber, z.ZodTypeDef, BigNumber>]>, BigNumber, string | number | bigint | BigNumber>;
    waitInSeconds: z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBigInt, z.ZodType<BigNumber, z.ZodTypeDef, BigNumber>]>, BigNumber, string | number | bigint | BigNumber>;
    startTime: z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBigInt, z.ZodType<BigNumber, z.ZodTypeDef, BigNumber>]>, BigNumber, string | number | bigint | BigNumber>, Date, string | number | bigint | BigNumber>;
    snapshot: z.ZodNullable<z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodArray<z.ZodString, "many">, {
        address: string;
        maxClaimable: string;
    }[], string[]>, z.ZodArray<z.ZodObject<{
        address: z.ZodEffects<z.ZodString, string, string>;
        maxClaimable: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>>;
    }, "strip", z.ZodTypeAny, {
        address: string;
        maxClaimable: string;
    }, {
        maxClaimable?: string | number | undefined;
        address: string;
    }>, "many">]>>>;
}>, "strip", z.ZodTypeAny, {
    snapshot?: {
        address: string;
        maxClaimable: string;
    }[] | null | undefined;
    quantityLimitPerTransaction: string;
    startTime: Date;
    price: BigNumber;
    currencyAddress: string;
    maxQuantity: string;
    waitInSeconds: BigNumber;
    merkleRootHash: string | number[];
    availableSupply: string;
    currentMintSupply: string;
    currencyMetadata: {
        symbol: string;
        value: BigNumber;
        name: string;
        decimals: number;
        displayValue: string;
    };
}, {
    quantityLimitPerTransaction?: string | number | undefined;
    currencyAddress?: string | undefined;
    maxQuantity?: string | number | undefined;
    merkleRootHash?: string | number[] | undefined;
    snapshot?: string[] | {
        maxClaimable?: string | number | undefined;
        address: string;
    }[] | null | undefined;
    availableSupply?: string | number | undefined;
    currentMintSupply?: string | number | undefined;
    currencyMetadata?: {
        symbol: string;
        value: string | number | bigint | BigNumber;
        name: string;
        decimals: number;
        displayValue: string;
    } | undefined;
    startTime: string | number | bigint | BigNumber;
    price: string | number | bigint | BigNumber;
    waitInSeconds: string | number | bigint | BigNumber;
}>;
//# sourceMappingURL=claim-conditions.d.ts.map